{% macro render_field(field, class="") %}
<div class="field">
    <label class="label">{{ field.label }}</label>
    <div class="control">
        {% if field.errors %}
        {{ field(class="input is-danger " + class) }}
        {% else %}
        {{ field(class="input " + class) }}
        {% endif %}
    </div>
    {% if field.errors %}
        {% for error in field.errors %}
            <p class="help is-danger">{{error}}</p>
        {% endfor %}
    {% endif %}
</div>
{% endmacro %}

{% macro render_horizontal_field(field, class="") %}
<div class="field is-horizontal">
    <div class="field-label is-normal">
        <label class="label">{{field.label}}</label>
    </div>
    <div class="field-body">
        <div class="field">
            <div class="control">
                {% if field.errors %}
                    {{ field(class="input is-danger " + class) }}
                {% else %}
                    {{ field(class="input " + class) }}
                {% endif %}
            </div>
            {% if field.errors %}
                {% for error in field.errors %}
                    <p class="help is-danger">{{error}}</p>
                {% endfor %}
            {% endif %}
        </div>
    </div>
</div>
{% endmacro %}